/cursor | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
cursor_archive_agent | Archive an agent |
cursor_cancel_run | Cancel a run |
cursor_create_agent | Create an agent |
cursor_create_run | Create a run |
cursor_create_sub_token | Create A User-Scoped Worker Token |
cursor_delete_agent | Delete an agent permanently |
cursor_download_artifact | Download an artifact |
cursor_get_agent | Get an agent |
cursor_get_api_key_info | API key info |
cursor_get_run | Get a run |
cursor_list_agents | List agents |
cursor_list_artifacts | List artifacts |
cursor_list_models | List models |
cursor_list_repositories | List GitHub repositories |
cursor_list_runs | List runs |
cursor_stream_run | Stream a run |
cursor_unarchive_agent | Unarchive an agent |
cursor_archive_agent
Archive an agent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier for the agent. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier for the agent."
}
},
"required": [
"PCID",
"id"
]
}
cursor_cancel_run
Cancel a run Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier for the agent. |
runId | string | Yes | — | Unique identifier for the run. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier for the agent."
},
"runId": {
"type": "string",
"description": "Unique identifier for the run."
}
},
"required": [
"PCID",
"id",
"runId"
]
}
cursor_create_agent
Create an agent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
autoCreatePR | boolean | No | — | Whether Cursor should open a pull request when the run completes. |
autoGenerateBranch | boolean | No | — | Whether to create a new branch (true) or push to an existing head branch (false). Only applies when repos[0].prUrl is provided. |
branchName | string | No | — | Custom branch name for the agent to create. |
envVars | object | No | — | Session-scoped environment variables for the cloud agent. Values are encrypted at rest, injected into the agent’s shell, and deleted with the agent. Names must be non-empty, 1024 bytes or less, and cannot start with CURSOR_. Values must be non-empty and 4096 bytes or less. |
model | object | No | — | The model value |
prompt | object | Yes | — | The prompt value |
repos | object[] | Yes | — | Repository configuration. v1 currently supports one entry. |
skipReviewerRequest | boolean | No | — | Whether to skip requesting the user as a reviewer when Cursor opens a PR. Only applies when autoCreatePR is true. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"autoCreatePR": {
"type": "boolean",
"description": "Whether Cursor should open a pull request when the run completes."
},
"autoGenerateBranch": {
"type": "boolean",
"description": "Whether to create a new branch (true) or push to an existing head branch (false). Only applies when `repos[0].prUrl` is provided."
},
"branchName": {
"type": "string",
"description": "Custom branch name for the agent to create."
},
"envVars": {
"type": "object",
"description": "Session-scoped environment variables for the cloud agent. Values are encrypted at rest, injected into the agent's shell, and deleted with the agent. Names must be non-empty, 1024 bytes or less, and cannot start with `CURSOR_`. Values must be non-empty and 4096 bytes or less."
},
"model": {
"type": "object",
"description": "The model value",
"properties": {
"id": {
"type": "string",
"description": "Explicit model ID returned by GET /v1/models. Omit `model` from the request to use the configured default."
},
"params": {
"type": "array",
"items": {
"type": "object"
},
"description": "Per-model parameters such as reasoning effort or max mode. Use only parameters supported by the selected model."
}
},
"required": [
"id"
]
},
"prompt": {
"type": "object",
"description": "The prompt value",
"properties": {
"text": {
"type": "string",
"description": "Task instruction for the agent."
},
"images": {
"type": "array",
"items": {
"type": "object"
},
"description": "Optional base64-encoded images. Maximum 5 images, 15 MB each."
}
},
"required": [
"text"
]
},
"repos": {
"type": "array",
"items": {
"type": "object",
"properties": {
"url": {
"type": "string",
"description": "GitHub repository URL. Required unless `prUrl` is provided."
},
"startingRef": {
"type": "string",
"description": "Branch, tag, or commit hash to use as the starting point."
},
"prUrl": {
"type": "string",
"format": "uri",
"description": "GitHub pull request URL. When provided, the agent works on this PR's repository and branches; `url` and `startingRef` are ignored."
}
}
},
"description": "Repository configuration. v1 currently supports one entry."
},
"skipReviewerRequest": {
"type": "boolean",
"description": "Whether to skip requesting the user as a reviewer when Cursor opens a PR. Only applies when `autoCreatePR` is true."
}
},
"required": [
"PCID",
"prompt",
"repos"
]
}
cursor_create_run
Create a run Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier for the agent. |
prompt | object | Yes | — | The prompt value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier for the agent."
},
"prompt": {
"type": "object",
"description": "The prompt value",
"properties": {
"text": {
"type": "string",
"description": "Follow-up instruction text."
},
"images": {
"type": "array",
"items": {
"type": "object"
},
"description": "Optional base64-encoded images. Maximum 5 images, 15 MB each."
}
},
"required": [
"text"
]
}
},
"required": [
"PCID",
"id",
"prompt"
]
}
cursor_create_sub_token
Create A User-Scoped Worker Token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
forUserEmail | string | No | — | Active team member email. Case-insensitive. Mutually exclusive with forUserId. |
forUserId | integer | No | — | Active team member’s numeric Cursor user ID. Mutually exclusive with forUserEmail. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"forUserEmail": {
"type": "string",
"description": "Active team member email. Case-insensitive. Mutually exclusive with `forUserId`."
},
"forUserId": {
"type": "integer",
"description": "Active team member's numeric Cursor user ID. Mutually exclusive with `forUserEmail`."
}
},
"required": [
"PCID"
]
}
cursor_delete_agent
Delete an agent permanently Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier for the agent. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier for the agent."
}
},
"required": [
"PCID",
"id"
]
}
cursor_download_artifact
Download an artifact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier for the agent. |
path | string | Yes | — | Relative artifact path under artifacts/. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier for the agent."
},
"path": {
"type": "string",
"description": "Relative artifact path under `artifacts/`."
}
},
"required": [
"PCID",
"id",
"path"
]
}
cursor_get_agent
Get an agent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier for the agent. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier for the agent."
}
},
"required": [
"PCID",
"id"
]
}
cursor_get_api_key_info
API key infoShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
cursor_get_run
Get a run Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier for the agent. |
runId | string | Yes | — | Unique identifier for the run. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier for the agent."
},
"runId": {
"type": "string",
"description": "Unique identifier for the run."
}
},
"required": [
"PCID",
"id",
"runId"
]
}
cursor_list_agents
List agents Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Number of agents to return. |
cursor | string | No | — | Pagination cursor from the previous response. |
prUrl | string | No | — | Filter agents by GitHub pull request URL. |
includeArchived | boolean | No | — | Whether to include archived agents. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Number of agents to return."
},
"cursor": {
"type": "string",
"description": "Pagination cursor from the previous response."
},
"prUrl": {
"type": "string",
"description": "Filter agents by GitHub pull request URL."
},
"includeArchived": {
"type": "boolean",
"description": "Whether to include archived agents."
}
},
"required": [
"PCID"
]
}
cursor_list_artifacts
List artifacts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier for the agent. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier for the agent."
}
},
"required": [
"PCID",
"id"
]
}
cursor_list_models
List modelsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
cursor_list_repositories
List GitHub repositoriesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
cursor_list_runs
List runs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier for the agent. |
limit | integer | No | — | Maximum number of results to return |
cursor | string | No | — | Pagination cursor from the previous response. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier for the agent."
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"cursor": {
"type": "string",
"description": "Pagination cursor from the previous response."
}
},
"required": [
"PCID",
"id"
]
}
cursor_stream_run
Stream a run Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier for the agent. |
runId | string | Yes | — | Unique identifier for the run. |
Last-Event-ID | string | No | — | Resume from a previously received event ID for this run. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier for the agent."
},
"runId": {
"type": "string",
"description": "Unique identifier for the run."
},
"Last-Event-ID": {
"type": "string",
"description": "Resume from a previously received event ID for this run."
}
},
"required": [
"PCID",
"id",
"runId"
]
}
cursor_unarchive_agent
Unarchive an agent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier for the agent. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier for the agent."
}
},
"required": [
"PCID",
"id"
]
}

